<a href="https://authlib.org/"><img src="https://authlib.org/logo.png" align="right" width="140" /></a>

# Authlib

<a href="https://travis-ci.org/lepture/authlib"><img src="https://api.travis-ci.org/lepture/authlib.svg?branch=master" alt="Build Status"></a>
<a href="https://codecov.io/gh/lepture/authlib?branch=master"><img src="https://codecov.io/gh/lepture/authlib/branch/master/graph/badge.svg" alt="Coverage Status"></a>
<a href="https://pypi.python.org/pypi/authlib/"><img src="https://img.shields.io/pypi/wheel/authlib.svg?style=flat" alt="Wheel Status"></a>

Authlib is a ready to use authentication client and server for
OAuth 1, OAuth 2 and more.

## Features

Lovely features that Authlib has built-in:

- Generic specification implementations
- OAuth 1 (RFC5849)
- OAuth 2 (RFC6749, RFC6750, RFC7009, RFC7662)
- OpenID Connect
- **DONE** OAuth 1, OAuth 2 Requests Sessions
- **DONE** Mixed OAuth 1 and OAuth 2 Client
- **DONE** Integrated client with Flask
- **DONE** Integrated client with Django
- **TODO** Flask OAuth 1 / OAuth 2 Servers
- **TODO** Django OAuth 1 / OAuth 2 Servers

Authlib is compatible with Python2.7+ and Python3.5+.

## Security Reporting

If you found security bugs which can not be public, please send me
email at <me@lepture.com>. Attachment with patch is welcome.

## Useful Links

1. Take a look at [Authlib Homepage](https://authlib.org/)
2. Stay tuned with [Authlib Newsletter](https://tinyletter.com/authlib)
3. Get more information with [Authlib Documentation](https://docs.authlib.org/)

## License

Authlib is licensed under LGPLv3. Please see LICENSE for licensing details.

If this license doesn’t fit your company, consider to purchase a commercial
license.

Find more information on <https://authlib.org/support#commercial-license>
